| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::Details::Property::ReadHandler Struct Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for Gaudi::Details::Property::ReadHandler:
[legend]
Collaboration diagram for Gaudi::Details::Property::ReadHandler:
[legend]

## Public Member Functions
void | useReadHandler (const PropertyBase &p) const
void | setReadHandler (std::function< void(PropertyBase &)> fun)
std::function< void(PropertyBase &)> | getReadHandler () const
Public Member Functions inherited from Gaudi::Details::Property::NoHandler
void | useReadHandler (const PropertyBase &) const
void | setReadHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getReadHandler () const
void | useUpdateHandler (const PropertyBase &) const
void | setUpdateHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getUpdateHandler () const

## Public Attributes
std::function< void(PropertyBase &)> | m_readCallBack

## Detailed Description

Definition at line 270 of file Property.h.

## Member Function Documentation

std::function<void( PropertyBase& )> Gaudi::Details::Property::ReadHandler::getReadHandler | ( |  | ) | const
| inline

Definition at line 279 of file Property.h.

279 { return m_readCallBack; }
Gaudi::Details::Property::ReadHandler::m_readCallBack
std::function< void(PropertyBase &)> m_readCallBack
Definition: Property.h:271

void Gaudi::Details::Property::ReadHandler::setReadHandler | ( | std::function< void(PropertyBase &)> | fun | ) |
| inline

Definition at line 278 of file Property.h.

278 { m_readCallBack = std::move( fun ); }
Gaudi::Details::Property::ReadHandler::m_readCallBack
std::function< void(PropertyBase &)> m_readCallBack
Definition: Property.h:271
std::move
T move(T...args)

void Gaudi::Details::Property::ReadHandler::useReadHandler | ( | const PropertyBase & | p | ) | const
| inline

Definition at line 272 of file Property.h.

273 {
274 if ( m_readCallBack ) {
275 SwapCall{m_readCallBack}( const_cast<PropertyBase&>( p ) );
276 }
277 }
Gaudi::Details::Property::ReadHandler::m_readCallBack
std::function< void(PropertyBase &)> m_readCallBack
Definition: Property.h:271

## Member Data Documentation

std::function<void( PropertyBase& )> Gaudi::Details::Property::ReadHandler::m_readCallBack
| mutable

Definition at line 271 of file Property.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h